.wc-block-components-text-input input[type=email],
.wc-block-components-text-input input[type=number],
.wc-block-components-text-input input[type=password],
.wc-block-components-text-input input[type=tel],
.wc-block-components-text-input input[type=text],
.wc-block-components-text-input input[type=url] {
  border-radius: 50px;
  border-width: 2px;
  border-color: var(--e-global-color-primary, #002864);
  padding: 16px 22px 8px 22px;
  color: var(--e-global-color-text, #002864);
}
.wc-block-components-text-input input[type=email]:focus,
.wc-block-components-text-input input[type=number]:focus,
.wc-block-components-text-input input[type=password]:focus,
.wc-block-components-text-input input[type=tel]:focus,
.wc-block-components-text-input input[type=text]:focus,
.wc-block-components-text-input input[type=url]:focus {
  outline: none;
  border-color: var(--e-global-color-accent, #FA6400);
}
.wc-block-components-text-input label {
  font-size: 1rem;
  left: 22px;
}
.wc-block-components-text-input.is-active input[type=email],
.wc-block-components-text-input.is-active input[type=number],
.wc-block-components-text-input.is-active input[type=password],
.wc-block-components-text-input.is-active input[type=tel],
.wc-block-components-text-input.is-active input[type=text],
.wc-block-components-text-input.is-active input[type=url] {
  padding: 16px 22px 8px 22px;
}
.wc-block-components-text-input.is-active input[type=email]:focus,
.wc-block-components-text-input.is-active input[type=number]:focus,
.wc-block-components-text-input.is-active input[type=password]:focus,
.wc-block-components-text-input.is-active input[type=tel]:focus,
.wc-block-components-text-input.is-active input[type=text]:focus,
.wc-block-components-text-input.is-active input[type=url]:focus {
  padding: 16px 22px 8px 22px;
}
.wc-block-components-text-input.is-active label {
  top: 1px;
}

.wc-blocks-components-select select {
  border-radius: 50px;
  border-width: 2px;
  border-color: var(--e-global-color-primary, #002864);
  padding: 16px 40px 8px 22px;
  color: var(--e-global-color-text, #002864);
}
.wc-blocks-components-select select:focus {
  outline: none;
  border-color: var(--e-global-color-accent, #FA6400);
}
.wc-blocks-components-select label {
  font-size: 1rem;
  left: 22px;
  top: 1px;
  transform-origin: top left;
  transform: scale(0.82);
}
.wc-blocks-components-select .wc-blocks-components-select__expand {
  fill: currentColor;
  right: 18px;
}

.wc-block-components-checkbox label {
  font-size: 1rem;
  line-height: 1;
}
.wc-block-components-checkbox .wc-block-components-checkbox__input {
  border: 2px solid var(--e-global-color-primary, #002864);
  border-radius: 50px;
  width: 24px;
  height: 24px;
}
.wc-block-components-checkbox .wc-block-components-checkbox__input:focus {
  outline: none;
}
.wc-block-components-checkbox .wc-block-components-checkbox__input:focus-visible {
  border-color: var(--e-global-color-accent, #FA6400);
}
.wc-block-components-checkbox .wc-block-components-checkbox__mark {
  fill: currentColor;
  margin-left: 4.5px;
  margin-top: 4px;
}
.wc-block-components-checkbox .wc-block-components-checkbox__label {
  margin-top: 3px;
}

.wc-block-components-button:not(.is-link) {
  border: 2px solid var(--e-global-color-primary, #002864);
  border-radius: 50px;
  font-weight: 700;
  color: var(--e-global-color-primary, #002864);
  padding: 6px 22px 8px 22px;
  transition: all 0.1s linear !important;
}
.wc-block-components-button:not(.is-link):hover {
  background: var(--e-global-color-594d06d, #1A3E74);
  border-color: var(--e-global-color-594d06d, #1A3E74);
  color: var(--e-global-color-57237f6, white);
}
.wc-block-components-button:not(.is-link):focus, .wc-block-components-button:not(.is-link):focus-visible {
  outline: none !important;
  box-shadow: none !important;
}
.wc-block-components-button:not(.is-link):focus-visible {
  background: var(--e-global-color-594d06d, #1A3E74);
  color: var(--e-global-color-57237f6, white);
  border-color: var(--e-global-color-accent, #FA6400);
}
.wc-block-components-button:not(.is-link)[disabled] {
  pointer-events: none;
  border-color: var(--e-global-color-4fd6a8f, #D9D9D9);
  color: var(--e-global-color-4fd6a8f, #D9D9D9);
}
.wc-block-components-button:not(.is-link)[disabled] .wc-block-components-button__text {
  opacity: 1;
}

.wc-block-components-panel__button {
  word-break: unset;
}

.wc-block-components-product-metadata {
  font-size: 1rem;
}
.wc-block-components-product-metadata .wc-block-components-product-metadata__description {
  display: none;
}
.wc-block-components-product-metadata .wc-block-components-product-details.wc-block-components-product-details {
  margin: 0;
  font-size: 0.875rem;
}
.wc-block-components-product-metadata .wc-block-components-product-details.wc-block-components-product-details .wc-block-components-product-details__name {
  font-weight: bold;
}

.wc-block-components-radio-control .wc-block-components-radio-control__input {
  border: 2px solid var(--e-global-color-07cbc70, #D9DFE8);
  top: 14px !important;
}
.wc-block-components-radio-control .wc-block-components-radio-control__input:checked {
  border: 2px solid var(--e-global-color-primary, #002864);
}
.wc-block-components-radio-control .wc-block-components-radio-control__input:checked:before {
  background: var(--e-global-color-primary, #002864);
  top: 51%;
}
.wc-block-components-radio-control .wc-block-components-radio-control__option-layout {
  margin-top: -1px;
}
.wc-block-components-radio-control .wc-block-components-radio-control__label,
.wc-block-components-radio-control .wc-block-components-radio-control__secondary-label {
  font-size: 1rem;
  line-height: 1;
}
.wc-block-components-radio-control .wc-block-components-radio-control__label {
  font-weight: 700;
}
.wc-block-components-radio-control--highlight-checked label.wc-block-components-radio-control__option--checked-option-highlighted,
.wc-block-components-radio-control--highlight-checked .wc-block-components-radio-control-accordion-option--checked-option-highlighted {
  box-shadow: inset 0 0 0 2px var(--e-global-color-primary, #002864);
}
.wc-block-components-radio-control--highlight-checked label.wc-block-components-radio-control__option--checked-option-highlighted label,
.wc-block-components-radio-control--highlight-checked .wc-block-components-radio-control-accordion-option--checked-option-highlighted label {
  font-weight: 700;
}
.wc-block-components-radio-control .wc-block-components-radio-control-accordion-content {
  font-size: 1rem;
}

.wc-block-components-notice-banner {
  font-size: 1rem;
}
